export declare type Signature = string;
export declare type EthAddress = string;
export declare type IdentityType = {
    privateKey: string;
    publicKey: string;
    address: string;
};
export declare type AuthChain = AuthLink[];
export declare type AuthLink = {
    type: AuthLinkType;
    payload: string;
    signature: Signature;
};
export declare enum AuthLinkType {
    SIGNER = "SIGNER",
    ECDSA_PERSONAL_EPHEMERAL = "ECDSA_EPHEMERAL",
    ECDSA_EIP_1654_EPHEMERAL = "ECDSA_EIP_1654_EPHEMERAL",
    ECDSA_SIGNED_ENTITY = "ECDSA_SIGNED_ENTITY"
}
export declare type AuditInfo = {
    version: EntityVersion;
    deployedTimestamp: Timestamp;
    authChain: AuthChain;
    overwrittenBy?: EntityId;
    isBlacklisted?: boolean;
    blacklistedContent?: ContentFileHash[];
    originalMetadata?: {
        originalVersion: EntityVersion;
        data: any;
    };
};
export declare enum EntityVersion {
    V2 = "v2",
    V3 = "v3"
}
export declare type Timestamp = number;
export declare type EntityId = ContentFileHash;
export declare type ContentFileHash = string;
export declare type AuthIdentity = {
    ephemeralIdentity: IdentityType;
    expiration: Date;
    authChain: AuthChain;
};
export declare type ValidationResult = {
    ok: boolean;
    message?: string;
};
